package com.platform.entities;

public abstract class AbstractOracleExtractTask implements BasedTask {
	private String name;
	private int status; // 任务的执行状态,0未执行，1执行中，2完成，3失败

	public AbstractOracleExtractTask() {
	}

	public AbstractOracleExtractTask(String name) {
		this.name = name;
	}

	public abstract void handler();

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public int getStatus() {
		return status;
	}

	public void setStatus(int status) {
		this.status = status;
	}

}
